The GL Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

posting_date string
transaction_date string
account string
party_type string
party string
cost_center string
debit number
credit number
account_currency string
debit_in_account_currency number
credit_in_account_currency number
against string
against_voucher_type string
against_voucher string
voucher_type string
voucher_no string
voucher_detail_no string
project string
remarks string
is_opening string
is_advance string
fiscal_year string
company string
finance_book string
to_rename boolean

Default: true

due_date string
is_cancelled boolean

Default: false

transaction_currency string
transaction_exchange_rate number
debit_in_transaction_currency number
credit_in_transaction_currency number
voucher_subtype string
debit_in_reporting_currency number
credit_in_reporting_currency number
reporting_currency_exchange_rate number
The GL Entry object
{
  "id": "g-l-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "transaction_date": "2024-01-15",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "against": "against_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher": "against_voucher_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "is_opening": "is_opening_example",
  "is_advance": "is_advance_example",
  "fiscal_year": "fiscal_year_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "to_rename": true,
  "due_date": "2024-01-15",
  "is_cancelled": false,
  "transaction_currency": "USD",
  "transaction_exchange_rate": 0,
  "debit_in_transaction_currency": 0,
  "credit_in_transaction_currency": 0,
  "voucher_subtype": "voucher_subtype_example",
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
GET /api/accounts/g-l-entry/{id}

Retrieve a gl entry

Retrieves the details of an existing gl entry. Supply the unique gl entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the gl entry to retrieve.

Returns

Returns the gl entry object if a valid identifier was provided.

GET /api/accounts/g-l-entry/{id}
curl https://api.overplane.dev/api/accounts/g-l-entry/g-l-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "g-l-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "transaction_date": "2024-01-15",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "against": "against_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher": "against_voucher_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "is_opening": "is_opening_example",
  "is_advance": "is_advance_example",
  "fiscal_year": "fiscal_year_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "to_rename": true,
  "due_date": "2024-01-15",
  "is_cancelled": false,
  "transaction_currency": "USD",
  "transaction_exchange_rate": 0,
  "debit_in_transaction_currency": 0,
  "credit_in_transaction_currency": 0,
  "voucher_subtype": "voucher_subtype_example",
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
GET /api/accounts/g-l-entry

List all gl entrys

Returns a list of gl entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of gl entry objects.

GET /api/accounts/g-l-entry
curl https://api.overplane.dev/api/accounts/g-l-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "g-l-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "posting_date": "2024-01-15",
      "transaction_date": "2024-01-15",
      "account": "account_example",
      "party_type": "party_type_example",
      "party": "party_example",
      "cost_center": "cost_center_example",
      "debit": 0,
      "credit": 0,
      "account_currency": "USD",
      "debit_in_account_currency": 0,
      "credit_in_account_currency": 0,
      "against": "against_example",
      "against_voucher_type": "against_voucher_type_example",
      "against_voucher": "against_voucher_example",
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "voucher_detail_no": "voucher_detail_no_example",
      "project": "project_example",
      "remarks": "remarks_example",
      "is_opening": "is_opening_example",
      "is_advance": "is_advance_example",
      "fiscal_year": "fiscal_year_example",
      "company": "Example Corp",
      "finance_book": "finance_book_example",
      "to_rename": true,
      "due_date": "2024-01-15",
      "is_cancelled": false,
      "transaction_currency": "USD",
      "transaction_exchange_rate": 0,
      "debit_in_transaction_currency": 0,
      "credit_in_transaction_currency": 0,
      "voucher_subtype": "voucher_subtype_example",
      "debit_in_reporting_currency": 0,
      "credit_in_reporting_currency": 0,
      "reporting_currency_exchange_rate": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/g-l-entry

Create a gl entry

Creates a new gl entry object.

Body parameters

status string

Default: draft

posting_date string
transaction_date string
account string
party_type string
party string
cost_center string
debit number
credit number
account_currency string
debit_in_account_currency number
credit_in_account_currency number
against string
against_voucher_type string
against_voucher string
voucher_type string
voucher_no string
voucher_detail_no string
project string
remarks string
is_opening string
is_advance string
fiscal_year string
company string
finance_book string
to_rename boolean

Default: true

due_date string
is_cancelled boolean

Default: false

transaction_currency string
transaction_exchange_rate number
debit_in_transaction_currency number
credit_in_transaction_currency number
voucher_subtype string
debit_in_reporting_currency number
credit_in_reporting_currency number
reporting_currency_exchange_rate number

Returns

Returns the newly created gl entry object if the call succeeded.

POST /api/accounts/g-l-entry
curl https://api.overplane.dev/api/accounts/g-l-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "g-l-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "transaction_date": "2024-01-15",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "against": "against_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher": "against_voucher_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "is_opening": "is_opening_example",
  "is_advance": "is_advance_example",
  "fiscal_year": "fiscal_year_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "to_rename": true,
  "due_date": "2024-01-15",
  "is_cancelled": false,
  "transaction_currency": "USD",
  "transaction_exchange_rate": 0,
  "debit_in_transaction_currency": 0,
  "credit_in_transaction_currency": 0,
  "voucher_subtype": "voucher_subtype_example",
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
PATCH /api/accounts/g-l-entry/{id}

Update a gl entry

Updates the specified gl entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the gl entry to update.

Body parameters

status string

Default: draft

posting_date string
transaction_date string
account string
party_type string
party string
cost_center string
debit number
credit number
account_currency string
debit_in_account_currency number
credit_in_account_currency number
against string
against_voucher_type string
against_voucher string
voucher_type string
voucher_no string
voucher_detail_no string
project string
remarks string
is_opening string
is_advance string
fiscal_year string
company string
finance_book string
to_rename boolean

Default: true

due_date string
is_cancelled boolean

Default: false

transaction_currency string
transaction_exchange_rate number
debit_in_transaction_currency number
credit_in_transaction_currency number
voucher_subtype string
debit_in_reporting_currency number
credit_in_reporting_currency number
reporting_currency_exchange_rate number

Returns

Returns the updated gl entry object.

PATCH /api/accounts/g-l-entry/{id}
curl https://api.overplane.dev/api/accounts/g-l-entry/g-l-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","posting_date":"2024-01-15"}'
Response
{
  "id": "g-l-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "transaction_date": "2024-01-15",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "against": "against_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher": "against_voucher_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "is_opening": "is_opening_example",
  "is_advance": "is_advance_example",
  "fiscal_year": "fiscal_year_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "to_rename": true,
  "due_date": "2024-01-15",
  "is_cancelled": false,
  "transaction_currency": "USD",
  "transaction_exchange_rate": 0,
  "debit_in_transaction_currency": 0,
  "credit_in_transaction_currency": 0,
  "voucher_subtype": "voucher_subtype_example",
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
DELETE /api/accounts/g-l-entry/{id}

Delete a gl entry

Permanently deletes a gl entry. This cannot be undone.

Path parameters

id string required

The identifier of the gl entry to delete.

Returns

Returns a confirmation that the gl entry has been deleted.

DELETE /api/accounts/g-l-entry/{id}
curl https://api.overplane.dev/api/accounts/g-l-entry/g-l-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "g-l-entry_abc123",
  "deleted": true
}
POST /api/accounts/g-l-entry/{id}/submit

Submit a gl entry

Submits a draft gl entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the gl entry to act on.

Returns

Returns the gl entry object with updated status.

POST /api/accounts/g-l-entry/{id}/submit
curl https://api.overplane.dev/api/accounts/g-l-entry/g-l-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "g-l-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "transaction_date": "2024-01-15",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "against": "against_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher": "against_voucher_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "is_opening": "is_opening_example",
  "is_advance": "is_advance_example",
  "fiscal_year": "fiscal_year_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "to_rename": true,
  "due_date": "2024-01-15",
  "is_cancelled": false,
  "transaction_currency": "USD",
  "transaction_exchange_rate": 0,
  "debit_in_transaction_currency": 0,
  "credit_in_transaction_currency": 0,
  "voucher_subtype": "voucher_subtype_example",
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
POST /api/accounts/g-l-entry/{id}/cancel

Cancel a gl entry

Cancels a submitted gl entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the gl entry to act on.

Returns

Returns the gl entry object with updated status.

POST /api/accounts/g-l-entry/{id}/cancel
curl https://api.overplane.dev/api/accounts/g-l-entry/g-l-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "g-l-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "transaction_date": "2024-01-15",
  "account": "account_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "against": "against_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher": "against_voucher_example",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "voucher_detail_no": "voucher_detail_no_example",
  "project": "project_example",
  "remarks": "remarks_example",
  "is_opening": "is_opening_example",
  "is_advance": "is_advance_example",
  "fiscal_year": "fiscal_year_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "to_rename": true,
  "due_date": "2024-01-15",
  "is_cancelled": false,
  "transaction_currency": "USD",
  "transaction_exchange_rate": 0,
  "debit_in_transaction_currency": 0,
  "credit_in_transaction_currency": 0,
  "voucher_subtype": "voucher_subtype_example",
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}